
/*
 * Key Sequence to relinquish Call.
 * 
 * ALT-tab
 * alt-U
 * ->
 * ->
 * Alt-R
 * 
 * C:\Users\doug\AppData\Local\Arduino15\packages\digistump\hardware\avr\1.6.7\libraries\DigisparkKeyboard
 */

#include "DigiKeyboard.h"
#define KEY_ARROW_RIGHT 0x4F
#define KEY_TAB 0x2B
void setup() {
  // don't need to set anything up to use DigiKeyboard
  pinMode(0, INPUT_PULLUP); //LED on Model B
  pinMode(1, OUTPUT); //LED on Model A   //LED on mine
  pinMode(2, INPUT_PULLUP);    
}


void loop() {
  // this is generally not necessary but with some older systems it seems to
  // prevent missing the first character after a delay:
  DigiKeyboard.sendKeyStroke(0);
  
  // Type out this string letter by letter on the computer (assumes US-style
  // keyboard)
  //DigiKeyboard.println("Hello Digispark!");
  
  // It's better to use DigiKeyboard.delay() over the regular Arduino delay()
  // if doing keyboard stuff because it keeps talking to the computer to make
  // sure the computer knows the keyboard is alive and connected
  DigiKeyboard.delay(5000);

  //sendKeyStroke(byte keyStroke, byte modifiers)

/*
 * xAWS 999 sequence to relinquish
 * 
 * ALT-tab
 * alt-U
 * ->
 * ->
 * Alt-R
 * 
 */
  digitalWrite(1,LOW);
  DigiKeyboard.delay(1000);

  if ( digitalRead(0) == 1 ){ 
    digitalWrite(1,HIGH);
    DigiKeyboard.sendKeyStroke( KEY_TAB, MOD_ALT_LEFT );
    DigiKeyboard.delay(500);

    DigiKeyboard.sendKeyStroke( KEY_U, MOD_ALT_LEFT );
    DigiKeyboard.delay(500);

    DigiKeyboard.sendKeyStroke( KEY_ARROW_RIGHT );
    DigiKeyboard.delay(500);

    DigiKeyboard.sendKeyStroke( KEY_ARROW_RIGHT );
    DigiKeyboard.delay(500);

    DigiKeyboard.sendKeyStroke( KEY_R );
    DigiKeyboard.delay(500);
  }
}
